break.c File Reference

## Functions

propval_t | linebreak_lbrule (propval_t b_idx, propval_t a_idx)
| IF_NULL_THEN_ABORT (r=realloc(results, sizeof(gcstring_t *) *(reslen+2)))
| IF_NULL_THEN_ABORT (s=_format(lbobj, LINEBREAK_STATE_LINE, bufStr))
| IF_NULL_THEN_ABORT (t=_format(lbobj, LINEBREAK_STATE_EOT, bufSpc))
| IF_NULL_THEN_ABORT (results[reslen]=gcstring_concat(s, t))
| gcstring_DESTROY (s)
| gcstring_DESTROY (t)
| gcstring_DESTROY (str)
| gcstring_DESTROY (bufStr)
| gcstring_DESTROY (bufSpc)
| linebreak_reset (lbobj)
| if (lenp !=NULL)
gcstring_t ** | linebreak_break_fast (linebreak_t *lbobj, unistr_t *input)
gcstring_t ** | linebreak_break (linebreak_t *lbobj, unistr_t *input)
gcstring_t ** | linebreak_break_from_utf8 (linebreak_t *lbobj, char *input, size_t len, int check)
void | linebreak_free_result (gcstring_t **result, int deep)

## Variables

propval_t * | linebreak_rules []
size_t | linebreak_rulessiz
| results = r)[reslen + 1] = NULL
| reslen

## Variable Documentation

## linebreak_rules

propval_t* linebreak_rules[]

extern

## linebreak_rulessiz

size_t linebreak_rulessiz

extern